// Get membership-list.
//
// $Id: get_membership_list_q.h,v 1.4 1994/07/16 17:37:06 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef GET_MEMBERSHIP_LIST_Q__
#define GET_MEMBERSHIP_LIST_Q__

#include <SLList.h>
#include "kom-types.h"
#include "question.h"
#include "membership.h"

class Connection;
class LyStr;

// 46

class get_membership_list_question : public question {
  public:
    get_membership_list_question(Connection *conn, Pers_no pno, 
				 unsigned short first,
				 unsigned short no_of_confs,
				 Bool want_read_texts);
    ~get_membership_list_question();
    void parser(prot_a_LyStr &str);
    SLList<Membership> result();
  private:
    SLList<Membership> list;
};

#endif
