// Get session-info with IDENT information.
//
// $Id: get_session_info_ident_q.h,v 1.4 1994/07/16 17:37:19 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef GET_SESSION_INFO_IDENT_Q__
#define GET_SESSION_INFO_IDENT_Q__

#include "kom-types.h"
#include "question.h"

class Connection;
class LyStr;
class Session_info_ident;

// 64

class get_session_info_ident_question : public question {
  public:
    get_session_info_ident_question(Connection *conn, Session_no session);
    ~get_session_info_ident_question();
    void parser(prot_a_LyStr &str);
    Session_info_ident result();
  private:
    Session_info_ident *info;
};

#endif
