// Get text status.
//
// $Id: get_text_stat_q.h,v 1.4 1994/07/16 17:37:28 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef GET_TEXT_STAT_Q__
#define GET_TEXT_STAT_Q__

#include "kom-types.h"
#include "question.h"

class Connection;
class Text_stat;

// 26

class get_text_stat_question : public question {
  public:
    get_text_stat_question(Connection *conn, Text_no tno);
    ~get_text_stat_question();
    void parser(prot_a_LyStr &str);
    Text_stat result();
  private:
    Text_no    text_no;
    Text_stat *text_stat;
};

#endif
