// Look up the name of a person using a regular expression.
//
// $Id: re_lookup_person_q.h,v 1.5 1994/07/16 17:38:48 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef RE_LOOKUP_PERSON_Q__
#define RE_LOOKUP_PERSON_Q__

#include "array.h"
#include "kom-types.h"
#include "question.h"

class Connection;
class LyStr;

// 65

class re_lookup_person_question : public question {
  public:
    re_lookup_person_question(Connection *conn, const LyStr &pattern);
    ~re_lookup_person_question();
    void parser(prot_a_LyStr &str);
    Array<Pers_no> result();
  private:
    Array<Pers_no> matches;
};

#endif
