// Template class for simple error management.
//
// $Id: error-hider.h,v 1.2 1994/07/16 17:43:54 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef ERROR_HIDER__
#define ERROR_HIDER__

template <class T>
class Error_hider {
  public:
    Error_hider(T result, int errcode=0);
    Error_hider(const Error_hider &);
    Error_hider &operator =(const Error_hider &);
    operator T() const;
    int status() const;
 private:
    Error_hider();		// Non-existing
    T res;
    int e_no;
};

#endif
