// A mark object.
//
// $Id: mark.h,v 1.3 1994/07/16 17:44:37 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef MARK__
#define MARK__

#include "kom-types.h"

class Mark {
  private:
	Text_no		text_no;
	unsigned char	mark_type;	/* It's up to the clients to decide the
					   meaning of this field. */
  public:
    Mark();
    Mark(const Mark&);
    const Mark &operator =(const Mark &);

    void  set_textno(Text_no tno);
    void  set_type(unsigned char type);

    Text_no        textno();
    unsigned char  type();
};
#endif
