// Who-info with IDENT information.
//
// $Id: who-info-ident.h,v 1.2 1994/07/16 17:47:56 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef WHO_INFO_IDENT__
#define WHO_INFO_IDENT__

#include "kom-types.h"
#include "LyStr.h"

class Who_info_ident {
  public:
    Who_info_ident();
    Who_info_ident(const Who_info_ident&);
    const Who_info_ident &operator =(const Who_info_ident &);
  private:
    Pers_no		person;
    LyStr		what_am_i_doing;
    LyStr		username; /* Userid and hostname. */
    LyStr		ident_user; /* According to Ident protocol. */
    LyStr		hostname;   /* According to TCP/IP. */
    Conf_no		working_conference;
    Session_no	session_no;	/* Serial number of connection. */
};
#endif
