// String class with knowledge on TCL strings.
//
// $Id: Tcl_LyStr.h,v 1.1 1994/07/25 22:24:53 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef TCL_LYSTR
#define TCL_LYSTR

#include "LyStr.h"

class Tcl_LyStr : public LyStr {
  public:
    Tcl_LyStr();
    Tcl_LyStr(const char *c_str);
    Tcl_LyStr(void *block, int len);
    Tcl_LyStr(const Tcl_LyStr &);
    Tcl_LyStr(const LyStr &);

    // Append as list element, quoting as necessary.
    void append_element(const LyStr &str);
};
  
#endif
