// Change name.
//
// $Id: 003change_name_q.cc,v 1.5 1994/07/16 17:32:40 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include <iostream.h>
#include <assert.h>
#include "prot-a-LyStr.h"
#include "question.h"
#include "connection.h"
#include "change_name_q.h"

    
change_name_question::change_name_question(Connection *conn, Conf_no conf_no, 
					   const LyStr &new_name)
    : question(conn)
{
    prot_a_LyStr   s;

    s << ref_no() << " 3 " << conf_no;
    s.append_hollerith(new_name);
    s << '\n';
    port->send_question(s);
}


change_name_question::~change_name_question()
{
}


void
change_name_question::parser(prot_a_LyStr& str)
{
    state = st_ok;
    deallocate_refno();
}


void
change_name_question::result()
{
    return;
}
