// Create a text.
//
// $Id: create_text_q.h,v 1.6 1994/07/16 17:35:58 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef CREATE_TEXT_Q__
#define CREATE_TEXT_Q__

#include <DLList.h>
#include "kom-types.h"
#include "question.h"
#include "recipient.h"

class Connection;
class LyStr;

// 28

class create_text_question : public question {
  public:
    create_text_question(Connection *conn, const LyStr &message,
			 DLList<Recipient> recipients,
			 DLList<Text_no> comment_to,
			 DLList<Text_no> footnote_to);
    ~create_text_question();
    void parser(prot_a_LyStr &str);
    Text_no result();
  private:
    Text_no tno;
};

#endif
