// Get membership.
//
// $Id: get_membership_q.h,v 1.5 1994/07/30 22:13:10 inge Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef GET_MEMBERSHIP_Q__
#define GET_MEMBERSHIP_Q__

#include "kom-types.h"
#include "question.h"
#include "membership.h"

class Connection;
class LyStr;
class Membership;

// 9

class get_membership_question : public question {
  public:
    get_membership_question(Connection *conn, Pers_no pno, Conf_no cno);
    ~get_membership_question();
    void parser(prot_a_LyStr &str);
    Membership result();
  private:
    Pers_no    pers_no;
    Membership membership;
};

#endif
