// Set permitted submitters to a conference.
//
// $Id: set_permitted_submitters_q.h,v 1.4 1994/07/16 17:39:30 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef SET_PERMITTED_SUBMITTERS_Q__
#define SET_PERMITTED_SUBMITTERS_Q__

#include "kom-types.h"
#include "question.h"

class Connection;
class LyStr;

// 19

class set_permitted_submitters_question : public question {
  public:
    set_permitted_submitters_question(Connection *conn, Conf_no cno, Conf_no permsub);
    ~set_permitted_submitters_question();
    void parser(prot_a_LyStr &str);
    result();
};

#endif
