// Set number of unread texts in a conference.
//
// $Id: set_unread_q.h,v 1.4 1994/07/16 17:39:56 ceder Exp $
// Copyright (C) 1994  Per Cederqvist and Inge Wallin
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef SET_UNREAD_Q__
#define SET_UNREAD_Q__

#include "kom-types.h"
#include "question.h"

class Connection;
class LyStr;

// 40

class set_unread_question : public question {
  public:
    set_unread_question(Connection *conn, Conf_no conf_no, unsigned long no_of_unread);
    ~set_unread_question();
    void parser(prot_a_LyStr &str);
    void result();
};

#endif
